package com.primeton.esb.check;

import com.primeton.esb.httpcomponent.client.IESBHttpMessage;
import com.primeton.esb.httpcomponent.client.nio.IHttpResponseChecker;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class DemoResultChecker implements IHttpResponseChecker {

    private final Logger traceLogger = LoggerFactory.getLogger(DemoResultChecker.class);

    @Override
    public boolean businessResultCheck(IESBHttpMessage responseMessage) {
        //获取业务接口返回的报文
        Object body = responseMessage.getBody();
        String[] systemHeaderNames = responseMessage.getSystemHeaderNames();
        for (String systemHeaderName : systemHeaderNames) {
            System.out.println("响应头:"+systemHeaderName);
        }
        String responseBody="";
        if(body instanceof byte[]){
            responseBody=new String((byte[]) body);
        }else {
            responseBody= (String) body;
        }
        traceLogger.info("开始进行业务校验，原报文为:{}",responseBody);
        //设置自定义报文
        responseMessage.setBody("{\"code\":\"test\",\"msg\":\"这是自定义校验类返回报文\",\"result\":false}");
        //设置自定义响应状态码
        responseMessage.addSystemHeader("$tip_response_http_state", 400);
        return false;
    }
}
